Bug 364831 - setsebool -P gets strage error and more
setsebool -P gets strage error and more
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
low Severity urgent
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 18:37 EDT by Darwin H. Webb
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 44
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-05 10:48:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darwin H. Webb 2007-11-02 18:37:23 EDT
Description of problem:
Fresh install of F8-RC3 on multiple LV's for mount points (all except OPT and
/USR/LOCAL)

Everything is running ok but I noted semange gui and sepolicy gui are empty.
I use setsebool P to turn off execmem and execstack.

I got this message
setsebool -P allow_execmem=0 allow_execstack=0
libsemanage.semanage_link_sandbox: Could not access sandbox base file
/etc/selinux/targeted/modules/tmp/base.pp. No such file or directory.
Could not change policy booleans.

It does not look good to me and I don't know what to think about it.

Version-Release number of selected component (if applicable):
selinux-policy-3.0.8-42.fc8
selinux-policy-targeted-3.0.8-42.fc8
setroubleshoot-plugins-1.10.3-1.fc8
setroubleshoot-server-1.10.7-1.fc8
setroubleshoot-1.10.7-1.fc8

How reproducible:
Did a relabel and no change.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
# df -l
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup23-LogVol23root
                       3047184    259048   2630852   9% /
/dev/mapper/VolGroup23-LogVol23var
                       6094400    240164   5539664   5% /var
/dev/mapper/VolGroup23-LogVol23tmp
                       3047184     70324   2819576   3% /tmp
/dev/mapper/VolGroup23-LogVolhome
                       8125880    157756   7548696   3% /home
/dev/mapper/VolGroup23-LogVol23usr
                       6094400   2668256   3111572  47% /usr
/dev/sdb1               194442     12317    172086   7% /boot
tmpfs                   517472        12    517460   1% /dev/shm
Comment 1 Darwin H. Webb 2007-11-03 03:06:36 EDT
updated to selinux-policy-3.0.8-44.fc8 via rpm frokm koji with setenforce 0
then setenforce 1
# rpm -qa selinux-policy-devel
[root@Tasha-19 /]# cd /home/darwinhwebb/Download
[root@Tasha-19 Download]# rpm -Uvh selinux-policy-3.0.8-44.fc8.noarch.rpm
selinux-policy-targeted-3.0.8-44.fc8.noarch.rpm --testPreparing...             
  ########################################### [100%]
[root@Tasha-19 Download]# rpm -Uvh selinux-policy-3.0.8-44.fc8.noarch.rpm
selinux-policy-targeted-3.0.8-44.fc8.noarch.rpm
Preparing...                ########################################### [100%]
   1:selinux-policy         ########################################### [ 50%]
   2:selinux-policy-targeted########################################### [100%]
[root@Tasha-19 Download]# setenforce 1
[root@Tasha-19 Download]# cd /
[root@Tasha-19 /]# 
[root@Tasha-19 /]# 
[root@Tasha-19 /]# 
[root@Tasha-19 /]# setsebool -P allow_execmem=0 allow_execstack=0
[root@Tasha-19 /]# 

semanage now has data, also.

thanks,

DArwin

Note You need to log in before you can comment on or make changes to this bug.